using System;
using System.Collections.Generic;
using System.Text;
using System.Text.Json.Serialization;

namespace GMCabsDriverAssistant.Models
{
    public class StopoverLocations
    {
        [JsonPropertyName("latitude")]
        public double Latitude { get; set; }

        [JsonPropertyName("longitude")]
        public double Longitude { get; set; }

        [JsonPropertyName("address")]
        public string Address { get; set; }
        [JsonPropertyName("suburb")]
        public string Suburb { get; set; }
        [JsonPropertyName("stop_number")]
        public int StopNumber { get; set; }
        public string FullStopOverAddress => Address + " " + Suburb;
        public string LabelColor { get; set; } = "#BBB9B9";
        public double CircleColorOpecity { get; set; }
        public bool IsLineVisible { get; set; } = true;
    }
}
